<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.basic.mapper.BasicTankMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.basic.entity.BasicTank">
                    <id column="id" property="id" />
                    <result column="storageTank_code" property="storagetankCode" />
                    <result column="storageTank_name" property="storagetankName" />
                    <result column="org_code" property="orgCode" />
                    <result column="tank_capacity" property="tankCapacity" />
                    <result column="createDate" property="createDate" />
                    <result column="facilities_type" property="facilitiesType" />
                    <result column="heating_type" property="heatingType" />
                    <result column="tank_type" property="tankType" />
                    <result column="diameter" property="diameter" />
                    <result column="height" property="height" />
                    <result column="check_way" property="checkWay" />
                    <result column="weld_way" property="weldWay" />
                    <result column="tank_apply" property="tankApply" />
                    <result column="tank_status" property="tankStatus" />
                    <result column="org_id" property="orgId" />
                    <result column="basic_truck_type" property="basicTruckType" />
                    <result column="del_flag" property="delFlag" />
                    <result column="updatetime" property="updatetime" />
        </resultMap>

    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  basic_tank
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
</mapper>